## gcc-15 15-20250404

=== debian/changelog ===
gcc-15 (15-20250404-0ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk (20250404).
  * Add libgccjit-doc conflict. Closes: #1101750.
  * libga68-doc: Remove not needed doc link. Closes: #1101749.
  * Build cobol on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Apr 2025 09:43:45 +0200

gcc-15 (15-20250329-1ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250329.
  * Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Mar 2025 10:34:46 +0100

gcc-15 (15-20250329-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20250329).
  * Update the ag68 branch to 20250322.
  * Don't run the tests on the Hurd, timing out.
  * Fix GCN SIMD libm bug, taken from newlib upstream.
  * Refresh patches.
  * Re-enable profiled and LTO build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Mar 2025 10:31:23 +0100

gcc-15 (15-20250319-1ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250319.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Mar 2025 12:41:39 +0100

gcc-15 (15-20250319-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20250319.
    - Fix building gcobol cross compilers.
  * Fix libga68 build on the Hurd.
  * Fix gccrs build, see PR rust/119353.
  * Don't build gcobol on arc.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2025 12:38:10 +0100

gcc-15 (15-20250315-1ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250315.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 07:36:37 +0100

gcc-15 (15-20250315-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20250315.
  * Let the gcobol compiler depend on the g++ compiler.
  * Update the Algol 68 patch.
  * Bump libgo soname again.
  * Reset the libgcobol soname after the upstream merge.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Mar 2025 02:37:08 +0100

gcc-15 (15-20250304-0ubuntu2) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250304.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Mar 2025 09:12:27 +0100

gcc-15 (15-20250222-0ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250222.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Feb 2025 10:49:41 +0100

gcc-15 (15-20250220-1ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250220.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2025 09:44:38 +0100

gcc-15 (15-20250220-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20250220.
  * Add packages for Algol 68.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Feb 2025 15:50:14 +0100

gcc-15 (15-20250213-1ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250213.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2025 13:13:28 +0100

gcc-15 (15-20250213-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20250213.
  * Disable the gnat build on m68k. See PR target/118485.
  * Apply workaround for PR target/118248 (riscv64).

 -- Matthias Klose <doko@debian.org>  Thu, 13 Feb 2025 11:16:17 +0100

gcc-15 (15-20250208-1ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250208.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2025 18:52:04 +0100

gcc-15 (15-20250208-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20250208.
  * Disable building the riscv64 gdc cross compiler on s390x. See PR118248.
  * Build using amdgcn-tools-19 instead of -18.
  * Build a libgccjit package, which is not conflicting with the installed
    default compiler (libgccjit15).

 -- Matthias Klose <doko@debian.org>  Sat, 08 Feb 2025 14:43:15 +0100

gcc-15 (15-20250203-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20250203.
  * d/p/libphobos-no-REUSEPORT.diff: Drop, fixed upstream.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Feb 2025 10:45:47 +0100

gcc-15 (15-20250130-2ubuntu2) plucky; urgency=medium

  * Disable m2 on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2025 08:01:04 +0100

gcc-15 (15-20250130-2ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250130.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2025 21:41:27 +0100

gcc-15 (15-20250130-2) experimental; urgency=medium

  * Fix installation of sarif-reply.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jan 2025 21:38:18 +0100

gcc-15 (15-20250130-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20250130.
  * Apply proposed patches for PR c++/116506 and PR c++/116914.
  * Constrain the lib32<lib> conflicts to non-mips architectures.
  * Fix nroff warnings for gcc-TOOL manpages (Bjarni Ingi Gislason).
    Addresses: #1094299, #1094300, #1094302.
  * Revert the libgo soname bump. No changes for libgo in GCC 15.
  * Only pass --enable-multiarch once for staged builds (Helmut Grohne)
    Closes: #1094387.
  * Configure with --disable-libgcobol for stage1 and stage2 builds.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jan 2025 12:34:33 +0100

gcc-15 (15-20250114-1ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250114.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2025 10:46:09 +0100

gcc-15 (15-20250114-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20250114.
  * Re-enable the 64bit time_t Ada patches, somehow uninformed update.
  * d/p/libphobos-no-REUSEPORT.diff, revert upstream commit to fix ftbfs.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jan 2025 10:43:44 +0100

gcc-15 (15-20250112-1ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the trunk 20250112.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2025 10:20:08 +0100

gcc-15 (15-20250112-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20250112.

  [ Nicolas Boulenguez ]
  * Ada: remove 'Provides: gnat-V-HASH' from gnat-V (keep it in gnat-V-TARGET).

  [ Matthias Klose ]
  * Update newlib to 4.5.0.20241231.

