## gcc-15 15-20250406

=== debian/changelog ===
gcc-15 (15-20250406-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20250406).
  * Update the ag68 branch to 20250405.
  * Add libgccjit-doc conflict. Closes: #1101750.
  * libga68-doc: Remove not needed doc link. Closes: #1101749.
  * Build cobol on ppc64el.
  * Build cobol cross compilers.
  * d/copyright: Add licenses for vendored crates.
  * Apply proposed patch for PR cobol/119364, non LP64 builds.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Apr 2025 10:48:32 +0200

gcc-15 (15-20241128-1) experimental; urgency=medium

  * Snapshot, taken from the trunk 20241128.
  * Update packaging for new major version.
  * Update patches.
  * Disable some Ada patches, needing an update. 000?-Ada*, ada-749574.
  * Update symbols files.
  * libstdc++-dev: Install libstdc++.modules.json.
  * Configure the jit build with --enable-libdiagnostics.
  * Update libsanitizer symbols.
  * Bump sonames for D, Go runtime libs (no conflicts with GCC 14).
  * Update patches for PR ada/114065 to v13.
  * Apply proposed patch for PR sanitizer/117725.
  * Add packages for libdiagnostics and gcc-diagnostics (sarif-replay).
  * Add sparc to any_archs (Adrian Glaubitz).

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2024 10:00:59 +0100

gcc-13 (13-20230419-1) experimental; urgency=medium

  * New upstream snapshot, taken from the gcc-13 branch.
  * Disable rust, as done upstream for the gcc-13 branch.
  * Update libgphobos symbols.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Apr 2023 23:22:03 +0200

gcc-13 (13-20230411-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Apr 2023 14:08:31 +0200

gcc-13 (13-20230215-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Fix gdc cross builds.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 11:02:04 +0100

gcc-12 (12-20220106-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Update symbols file for libgphobos.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jan 2022 11:30:02 +0100

gcc-12 (12-20211217-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Bump libgphobos soversion.
  * Update libgccjit and libgphobos symbols files.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Dec 2021 04:55:01 +0100

gcc-12 (12-20211211-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Use gnat-11/gdc-11 as bootstrap compilers for recent releases.

 -- Matthias Klose <doko@debian.org>  Sat, 11 Dec 2021 13:49:46 +0100

gcc-11 (11-20210207-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210207)
  * Fix packaging logic to build libgphobos.
  * Update libstdc++ symbols for ppc64 and ppc64el.
  * Explicitly configure with --enable-s390-excess-float-precision on s390x
    to match the behaviour of the default GCC (gcc-10).
  * Update libgphobos symbols file.
  * Don't build the gnat alpha cross compiler for now. PR ada/98724.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Feb 2021 14:55:47 +0100

gcc-10 (10-20200402-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200402, 86c92411320).
  * Fix PR target/94254 (PPC), proposed patch.
  * Update libstdc++6 symbols file for armel. Closes: #954954.
  * libgcc-sN: Provide libgcc-sN with an epoch version to rebuild gcc-8.
    Closes: #954826.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Apr 2020 15:01:48 +0200

gcc-10 (10-20200312-2) unstable; urgency=medium

  * Ship the include-fixed directory again, for a working #include <limits.h>.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Mar 2020 09:42:15 +0100

gcc-10 (10-20200312-1) unstable; urgency=medium

  * GCC snapshot, taken from the trunk (20200312, daf2852b883).
  * For all runtime libraries, generate dependencies on libgcc-sN instead
    on libgccN.
  * Use llvm 10 for the amdgcn offload compiler, when available.
  * Update newlib to 3.3.0.
  * Stop shipping the include-fixed directory.
  * Build the snapshot package with the offload compilers included.
  * Tighten dependency on libc6 for this upload.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Mar 2020 21:41:07 +0100

gcc-9 (9-20190311-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20190311, r269597).

 -- Matthias Klose <doko@debian.org>  Mon, 11 Mar 2019 23:23:20 +0100

gcc-9 (9-20190305-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20190305, r269387).

  [ Aurelien Jarno ]
  * Run the tests in parallel again on Debian/s390x, the libgo bug is
    fixed.

  [ Matthias Klose ]
  * Fix test dependencies for the Hurd and KFreeBSD.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Mar 2019 10:51:09 +0100

gcc-9 (9-20190223-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20190223, r269152).

 -- Matthias Klose <doko@debian.org>  Sat, 23 Feb 2019 11:00:00 +0100

gcc-4.9 (4.9.0-7) unstable; urgency=medium

  * Update to SVN 20140616 (r211699) from the gcc-4_9-branch.

  [ Matthias Klose ]
  * Fix patch application for powerpcspe (Helmit Grohne). Closes: #751001.
    + Update context for powerpc_remove_many.
    + Drop gcc-powerpcspe-ldbl-fix applied upstream.

  [ Aurelien Jarno ]
  * Fix PR c++/61336, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Jun 2014 10:59:16 +0200

gcc-4.9 (4.9.0-6) unstable; urgency=medium

  * Update to SVN 20140608 (r211353) from the gcc-4_9-branch.
  * Fix -Wno-format when -Wformat-security is the default (Steve Beattie).
    LP: #1317305.
  * Don't install the libstdc++ pretty printer file into the debug directory,
    but into the gdb auto-load directory.
  * Fix the removal of the libstdc++6 package, removing byte-compiled pretty
    printer files and pycache directories.
  * Fix PR c++/61046, taken from the trunk. LP: #1313102.
  * Fix installation of gcc-{ar,nm,ranlib} man pages for snapshot builds.
    Closes: #745906.

