## gcc-15 15.1.0

=== debian/changelog ===
gcc-15 (15.1.0-8) experimental; urgency=medium

  * Update to git 20250614 from the gcc-15 branch.
    - Fix PR tree-optimization/120638, PR middle-end/120547, PR ipa/120295,
      PR target/120042 (RISCV), PR rtl-optimization/120050, PR c++/120555,
      PR c++/120502, PR fortran/120483, PR libstdc++/120625,
      PR libstdc++/99832, PR libstdc++/120548.
  * Remove the distro specific patch for PR libstdc++/99832.
  * Build c++ for the amdgcn offload compiler.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Jun 2025 19:21:02 +0200

gcc-15 (15.1.0-7) experimental; urgency=medium

  * Fix applying the gcc-m68k-no-fold-mem-offsets patches.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jun 2025 15:31:57 +0200

gcc-15 (15.1.0-6) experimental; urgency=medium

  * Update to git 20250609 from the gcc-15 branch.
    - Fix PR tree-optimization/120357, PR tree-optimization/120341,
      PR rtl-optimization/120182, PR tree-optimization/120003,
      PR tree-optimization/119960, PR tree-optimization/116352,
      PR target/86772 (microblaze), PR c/120180, PR c++/120123, PR c/120180,
      PR c++/120413, PR c++/120363, PR c++/120414, PR fortran/99838,
      PR fortran/102599, PR fortran/114022, PR fortran/101735,
      PR fortran/101735, PR fortran/120193, PR fortran/120049,
      PR fortran/120355, PR target/120442 (AVR), PR target/120441 (AVR),
      PR libfortran/119856, PR middle-end/118694, PR middle-end/118694,
      PR libstdc++/120432, PR libstdc++/120465, PR libstdc++/120367.
  * Don't default to -ffold-mem-offsets on m68k (Adrian Glaubitz).
    Closes: #1107416.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jun 2025 13:27:55 +0200

gcc-15 (15.1.0-5) experimental; urgency=medium

  * Update to git 20250523 from the gcc-15 branch.
    - Fix PR modula2/120188, PR ipa/120146, PR tree-optimization/120143,
      PR tree-optimization/120089, PR tree-optimization/120043,
      PR c++/120161, PR c++/120125, PR c++/119864, PR c++/120012,
      PR fortran/120139, PR fortran/120163, PR fortran/120191,
      PR fortran/119928, PR modula2/120117, PR modula2/119915,
      PR modula2/119914, PR libfortran/120196, PR modula2/115276,
      PR libstdc++/120187, PR libstdc++/120198, PR libstdc++/119714,
      PR libstdc++/112490, PR libstdc++/119427, PR libstdc++/118260,
      PR tree-optimization/111873, PR c++/120013, PR c++/120350,
      PR fortran/85750, PR fortran/102891, PR fortran/120049,
      PR libstdc++/120293, PR libstdc++/120029, PR libstdc++/120190.
  * Fix amdgcn-tools dependency generation for snapshot builds.
  * d/copyright*: Update for new binary packages.
  * Disable testsuite again on Debian/alpha.

 -- Matthias Klose <doko@debian.org>  Fri, 23 May 2025 19:08:37 +0200

gcc-15 (15.1.0-4) experimental; urgency=medium

  * Update to git 20250510 from the gcc-15 branch.
    - Fix PR ipa/119852, PR tree-optimization/120048, PR ipa/120006,
      PR tree-optimization/120074, PR ada/120104, PR c++/120012,
      PR fortran/120179, PR fortran/119986, PR fortran/102900,
      PR preprocessor/108900, PR preprocessor/116047, PR preprocessor/120061,
      PR libfortran/120158, PR libfortran/120153, PR libfortran/120152,
      PR libstdc++/120159, PR libstdc++/120114.

  [ Matthias Klose ]
  * Backport PR cobol/119364, taken from the trunk.
  * Build cobol cross compiler again on i686.

  [ Nicolas Boulenguez ]
  * Replace tabulations with spaces in rules.defs. Closes: #1104665.
  * Ada: shorten ada-gcc-name.diff, remove pr79724-revert.diff.

 -- Matthias Klose <doko@debian.org>  Sat, 10 May 2025 09:25:21 +0200

gcc-15 (15.1.0-3) experimental; urgency=medium

  * Update to git 20250503 from the gcc-15 branch.
    - Fix PR c/120057.
    - libsanitizer: Fix build with glibc 2.42.
  * Disable profiled bootstrap on Debian/armhf. See PR target/119937.
  * gnat: Add gnat-N-<triplet> conflicts. Closes: #1063664.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2025 22:05:51 +0200

gcc-15 (15.1.0-2) experimental; urgency=medium

  * Update to git 20250502 from the gcc-15 branch.
    - Fix PR target/119610 (AArch64), PR c++/119939, PR c++/119863,
      PR tree-optimization/119712, PR ada/112958, PR c++/120023, PR c++/119938,
      PR c++/119551, PR c++/119996, PR c++/119981, PR c++/119378.
  * Update Algol-68 to the a86-gcc-15 branch.
  * Update libasan, libga68 and libobjc symbols.
  * Fix multilib installation for PR libstdc++/103382.
  * Enable running the tests again.

 -- Matthias Klose <doko@debian.org>  Fri, 02 May 2025 09:30:32 +0200

gcc-15 (15.1.0-1) experimental; urgency=medium

  * GCC 15.1.0 release.
  * Update to git 20250426 from the gcc-15 branch.
  * Provide local unversioned symlinks gnatmake and gnatbind for the build.
  * Update Algol 68 from the a68-15 branch.
  * Don't install the gcobol-io man page for cross builds. Closes: #1103019.
  * Update NEWS files.
  * Don't build cobol cross compiler on 32bit archs, PR cobol/119364 needs an
    update.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Apr 2025 03:22:52 +0200

gcc-15 (15-20250423-1) experimental; urgency=medium

  * Snapshot, taken from the gcc-15 branch (20250423).

  [ Matthias Klose ]
  * Install the libgcobol.spec file.
  * Fix source-path in the installed libstdc++.modules.json. Closes: #1102350.
  * On ppc64el configure --with-long-double-format=ieee for upcoming distros.
  * Update libga68 symbols.
  * Address PR libstdc++/103382, when not building the common libs, install
    the library in the gcc_lib_dir to link against the libstdc++ from this
    GCC version.
  * Build cobol on riscv64.

  [ Nicolas Boulenguez ]
  * Ada patches: refresh ada-749574, update pr114065/#1092866 to v15,
    complete ada-gnat-names.  Addresses: #1078144.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Apr 2025 16:20:46 +0200
