=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
   texinfo, locales-all, sharutils,
   procps, gnat-14:native [!arc !ia64 !sh3 !sh3eb !sh4eb !m68k !m68k], g++-14:native [!m68k], gnat-13:native [m68k], g++-13:native [m68k], netbase, gdc-14:native [!alpha !arc !ia64 !m68k !sh4 !s390 !sparc64 !hurd-amd64 !hurd-i386], python3:any, cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
   libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], unzip <!nocheck>,
-  dejagnu  [!hurd-amd64 !hurd-i386] <!nocheck>, git  [!hurd-amd64 !hurd-i386] <!nocheck>, coreutils, chrpath, lsb-release, quilt, time,
+  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, coreutils, chrpath, lsb-release, quilt, time,
   pkgconf, libgc-dev,
-  g++-15-for-host <cross>, gobjc-15-for-host [!avr] <cross>, gfortran-15-for-host <cross>, gdc-15-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !sparc64 !hurd-amd64 !hurd-i386] <cross>, gccgo-15-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-15-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb !m68k] <cross>, gm2-15-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-15-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !riscv64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-15-for-host <cross>,
+  g++-15-for-host <cross>, gobjc-15-for-host [!avr] <cross>, gfortran-15-for-host <cross>, gdc-15-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !sparc64 !hurd-amd64 !hurd-i386] <cross>, gccgo-15-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-15-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb !m68k] <cross>, gm2-15-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-15-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-15-for-host <cross>,
 Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
 Homepage: http://gcc.gnu.org/
 Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
